
QGIS Application - Bug report #10939

QgsExpression double format

2014-07-24 01:36 AM - Matthias Kuhn

Status: Closed

Priority: High

Assignee:

Category: Expressions

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19295

Description

QgsExpression is not able to parse the scientific double format which it produces itself in .expression()

expr = '0.000001'

e1 = QgsExpression( expr )

e1.expression()

u'1e-06'

e2 = QgsExpression( e1.expression() )

e2.expression()

u'(no root)'

Related issues:

Related to QGIS Application - Bug report # 10936: setFilterExpression() does ... Closed 2014-07-23

Associated revisions

Revision d833c22b - 2014-10-23 12:07 AM - Jürgen Fischer

fix interpretation of numeric constants in scientic notation (fixes #10939)

History

#1 - 2014-07-24 01:36 AM - Matthias Kuhn

- Category set to Expressions

#2 - 2014-10-22 03:08 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"d833c22b46acee450d6617621c01c156437dcf59".
